/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.server.admin;

import com.funambol.framework.filter.Clause;

import com.funambol.framework.server.Sync4jUser;

import com.funambol.framework.server.store.PersistentStoreException;

/**
 * This is a base class for <i>UserManager</i> objects. It does not manager
 * any object, but it provides services common to concrete implementations.
 *
 *
 *
 * @version $Id: BaseUserManager.java,v 1.1 2006/01/18 17:00:11 luigiafassina Exp $
 *
 */
public class BaseUserManager implements UserManager {

    // --------------------------------------------------------------- Constants

    // -------------------------------------------------------------- Properties

    // ------------------------------------------------------------ Private data

    // ------------------------------------------------------------ Constructors

    // ---------------------------------------------------------- Public methods

    public String[] getRoles() throws PersistentStoreException {
        return null;
    }

    public Sync4jUser[] getUsers(Clause clause) throws PersistentStoreException {
        return null;
    }

    public void getUser(Sync4jUser user) throws PersistentStoreException {
    }

    public void setUser(Sync4jUser user) throws PersistentStoreException {
    }

    public void insertUser(Sync4jUser user) throws PersistentStoreException {
    }

    public void deleteUser(Sync4jUser user) throws PersistentStoreException {
    }

    public void getUserRoles(Sync4jUser user) throws PersistentStoreException {
    }

    public int countUsers(Clause clause) throws PersistentStoreException {
        return 0;
    }

}
