/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.transport.http.server;

/**
 *
 * @version $Id: Constants.java,v 1.6 2006/04/25 17:48:56 nichele Exp $
 */
public interface Constants {
    public static final String PARAM_SESSION_ID       = "sid"                 ;

    public static final String PARAM_SYNCHOLDER_CLASS = "sync-holder-class"   ;
    public static final String PARAM_HOLDER_CACHE_FACTORY
                                                      = "holder-cache-factory";
    public static final String PARAM_HOLDER_CACHE_CLASS
                                                      = "holder-cache-class"  ;
    public static final String PARAM_GROUP            = "group"               ;
    public static final String PARAM_CHANNEL_PROPERTIES
                                                      = "channel-properties"  ;
    public static final String PARAM_SESSION_TIMEOUT  = "session-timeout";
    public static final String PARAM_JNDI_ADDRESS     = "jndi-address"        ;

    public static final String DEFAULT_GROUP          = "funambol.reference_cache";
    public static final long   DEFAULT_TTL            = 600000; // 10 mins
    public static final long   DEFAULT_TIMEOUT        = 10000 ; // 10 secs
    public static final String DEFAULT_JNDI_ADDRESS   = "localhost:1009"      ;

    public static final String LOG_NAME               = "transport.http"      ;

    public static final String PARAM_LOG_MESSAGES     = "log-messages"        ;
    public static final String PARAM_DIRLOG_MESSAGES  = "dirlog-messages"     ;

    public static final String PATH_INFO_STATUS       = "status"              ;

}
