/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.engine.source;

/**
 * @version $Id: FilterInfo.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 */
public class FilterInfo implements java.io.Serializable {

    // -------------------------------------------------------------- Properties

    private FilterSpecification[] filterCaps = null;

    private ContentType[]         filterRx   = null;

    /**
     * Returns the filterCaps.
     * @return the filterCaps.
     *
     */
    public FilterSpecification[] getFilterCaps() {
        return this.filterCaps;
    }

    /**
     * Sets the filterCaps.
     * @param filterCaps New value of property filterCaps.
     *
     */
    public void setFilterCaps(FilterSpecification[] filterCaps) {
        this.filterCaps = filterCaps;
    }

    /**
     * Returns the filterRx.
     * @return the filterRx.
     *
     */
    public ContentType[] getFilterRx() {
        return this.filterRx;
    }

    /**
     * Sets the filterRx.
     * @param filterRx New value of property filterRx.
     *
     */
    public void setFilterRx(ContentType[] filterRx) {
        this.filterRx = filterRx;
    }

    // ------------------------------------------------------------ Constructors

    /**
     * Creates a new instance of FilterInfo
     *
     * @param filterCaps the filterCaps
     */
    public FilterInfo(FilterSpecification[] filterCaps) {
        this.filterCaps = filterCaps;
    }

    public FilterInfo() {
    }
}
