/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.framework.tools;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;

/**
 * Container of utility methods for db access
 *
 *
 * @version $Id: DBTools.java,v 1.1 2006/01/18 17:00:11 luigiafassina Exp $
 */
public class DBTools {
    
    static public void close(Connection c, Statement s, ResultSet r) {
        try {
            if (r != null) r.close();
        } catch (Exception e) {}
        try {
            if (s != null) s.close();
        } catch (Exception e) {}
        try {
            if (c != null) c.close();
        } catch (Exception e) {}
    } 
}